Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002015opensim[REGION] OpenSim Corepublic2008-08-21 10:032008-10-17 06:16
ReporterUrsula Matova 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSUbuntu v8.0.4 LTS (32Bits)OS Version
Product Version 
Target VersionFixed in Version 
Summary0002015: Crossing from a Region to another is broken.
DescriptionWhen flying from a region to another, the new Avatar position is the center of the region :S

18:57:45 - User 3ca50cc4-6137-4a89-906e-cba40f514184 is going to another region, profile cache removed
18:57:45 - [CAPS]: Received request to remove CAPS handler for root agent 3ca50cc4-6137-4a89-906e-cba40f514184 in [KlinT World 1], but no such CAPS handler found!
18:57:45 - [Scene]: Failed with exception System.NullReferenceException: Object reference not set to an instance of an object
  at OpenSim.Region.Environment.Scenes.ScenePresence.CrossToNewRegion () [0x00000]
  at OpenSim.Region.Environment.Scenes.ScenePresence.CheckForBorderCrossing () [0x00000]
  at OpenSim.Region.Environment.Scenes.ScenePresence.Update () [0x00000]
  at OpenSim.Region.Environment.Scenes.InnerScene.UpdateEntities () [0x00000]
  at OpenSim.Region.Environment.Scenes.Scene.Update () [0x00000] On Region: [KlinT World 1]
.../...
18:52:49 - [SCENE PRESENCE]: MakeRootAgent() was given an illegal position of <-1.430283, 136.3325, 127.5149> for avatar (basic entity), 3ca50cc4-6137-4a89-906e-cba40f514184. Substituting <128, 128, 128>

This bug happens some months ago ( but cannot remember when :S )

(( Also happens in SVN.5929 ))
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux32
Mono Version
Viewer
Attached Files

- Relationships
related to 0002088closedcfk As of svn.6045 - DotNetEngine Script Errors ( cannot compile ) 

-  Notes
(0004911)
Ursula Matova (reporter)
2008-08-31 03:34

Still happens with svn.6070 with a fresh database :S
Any idea ?

Here is the messages on the Region Console :

12:31:39 - [CAPS]: Removing CAPS handler for root agent 00000000-0000-3108-2008-000000000000 in Spalatro
12:31:39 - [SCENE]: Unable to do Agent Crossing.
12:31:39 - [SCENE]: System.FormatException: Unknown char: .
  at System.Double.Parse (System.String s, NumberStyles style, IFormatProvider provider) [0x00016] in /root/WORK/mono/1.9.1/mono-1.9.1/mcs/class/corlib/System/Double.cs:214
  at System.Double.Parse (System.String s) [0x00000] in /root/WORK/mono/1.9.1/mono-1.9.1/mcs/class/corlib/System/Double.cs:182
  at System.Convert.ToDouble (System.String value) [0x00010] in /root/WORK/mono/1.9.1/mono-1.9.1/mcs/class/corlib/System/Convert.cs:979
  at OpenSim.Framework.AvatarAppearance..ctor (System.Collections.Hashtable h) [0x00095] in /OPENSIM/opensim.6070/OpenSim/Framework/AvatarAppearance.cs:378
  at OpenSim.Region.Communications.OGS1.OGS1UserServices.ConvertXMLRPCDataToAvatarAppearance (System.Collections.Hashtable data) [0x00059] in /OPENSIM/opensim.6070/OpenSim/Region/Communications/OGS1/OGS1UserServices.cs:176
  at OpenSim.Region.Communications.OGS1.OGS1UserServices.GetUserAppearance (LLUUID user) [0x0005f] in /OPENSIM/opensim.6070/OpenSim/Region/Communications/OGS1/OGS1UserServices.cs:726
  at OpenSim.Region.Modules.AvatarFactory.AvatarFactoryModule.TryGetAvatarAppearance (LLUUID avatarId, OpenSim.Framework.AvatarAppearance& appearance) [0x0001d] in /OPENSIM/opensim.6070/OpenSim/Region/Modules/AvatarFactory/AvatarFactoryModule.cs:57
  at OpenSim.Region.Environment.Scenes.ScenePresence.MakeRootAgent (LLVector3 pos, Boolean isFlying) [0x00023] in /OPENSIM/opensim.6070/OpenSim/Region/Environment/Scenes/ScenePresence.cs:619
  at OpenSim.Region.Environment.Scenes.Scene.AgentCrossing (UInt64 regionHandle, LLUUID agentID, LLVector3 position, Boolean isFlying) [0x0002f] in /OPENSIM/opensim.6070/OpenSim/Region/Environment/Scenes/Scene.cs:2722
12:31:39 - [CAPS]: Sending new CAPS seed url http://88.191.59.199:9000/CAPS/5d836330-f48d-4dd3-b2ca-a85fffe80000/ [^] to client 00000000-0000-3108-2008-000000000000
12:31:40 - [MONEY]: Removing Ursula Matova as a root agent
12:31:40 - [FRIEND]: Removing Ursula Matova as a root agent
12:31:40 - User 00000000-0000-3108-2008-000000000000 is going to another region, profile cache removed
12:31:40 - [CAPS]: Received request to remove CAPS handler for root agent 00000000-0000-3108-2008-000000000000 in Kulin, but no such CAPS handler found!
12:31:40 - [Scene]: Failed with exception System.NullReferenceException: Object reference not set to an instance of an object
  at OpenSim.Region.Environment.Scenes.ScenePresence.CrossToNewRegion () [0x00171] in /OPENSIM/opensim.6070/OpenSim/Region/Environment/Scenes/ScenePresence.cs:2003
  at OpenSim.Region.Environment.Scenes.ScenePresence.CheckForBorderCrossing () [0x000b2] in /OPENSIM/opensim.6070/OpenSim/Region/Environment/Scenes/ScenePresence.cs:1937
  at OpenSim.Region.Environment.Scenes.ScenePresence.Update () [0x000c9] in /OPENSIM/opensim.6070/OpenSim/Region/Environment/Scenes/ScenePresence.cs:1581
  at OpenSim.Region.Environment.Scenes.InnerScene.UpdateEntities () [0x0001b] in /OPENSIM/opensim.6070/OpenSim/Region/Environment/Scenes/InnerScene.cs:145
  at OpenSim.Region.Environment.Scenes.Scene.Update () [0x001d2] in /OPENSIM/opensim.6070/OpenSim/Region/Environment/Scenes/Scene.cs:744 On Region: Kulin
12:31:40 - [APPEARANCE]: found : [Wearables] =>Body Item: 66c41e39-38f9-f75a-024e-585989bfaba9;Skin Item: 77c41e39-38f9-f75a-024e-585989bfabc9;Shirt Item: 77c41e39-38f9-f75a-0000-585989bf0000;Pants Item: 77c41e39-38f9-f75a-0000-5859892f1111;
12:31:40 - [SCENE PRESENCE]: MakeRootAgent() was given an illegal position of <134.7216, 256.3661, 84.35094> for avatar (basic entity), 00000000-0000-3108-2008-000000000000. Substituting <128, 128, 128>
12:31:40 - [OGS1 INVENTORY SERVICE]: Requesting inventory from http://localhost:8004/GetInventory/ [^] for user 00000000-0000-3108-2008-000000000000
12:31:40 - [CAPS]: Setting up CAPS handler for root agent 00000000-0000-3108-2008-000000000000 in Kulin
12:31:40 - [CAPS]: Registering handler for "RemoteParcelRequest": path /CAPS/5d836330-f48d-4dd3-b2ca-a85fffe80009/
12:31:40 - [VOICE]: OnRegisterCaps: agentID 00000000-0000-3108-2008-000000000000 caps OpenSim.Framework.Communications.Capabilities.Caps
12:31:40 - [CAPS]: Registering handler for "MapLayer": path /CAPS/5d836330-f48d-4dd3-b2ca-a85fffe80001/
12:31:40 - [APPEARANCE]: found : [Wearables] =>Body Item: 66c41e39-38f9-f75a-024e-585989bfaba9;Skin Item: 77c41e39-38f9-f75a-024e-585989bfabc9;Shirt Item: 77c41e39-38f9-f75a-0000-585989bf0000;Pants Item: 77c41e39-38f9-f75a-0000-5859892f1111;
12:31:40 - [SUN]: Initial update for new client
12:31:40 - [FRIEND]: Claiming Ursula Matova in region:1100611139659776.
12:31:40 - [APPEARANCE]: Sending Appearance to All Other Agents
(0004923)
HomerHorwitz (manager)
2008-08-31 23:58

The first error looks like a locale problem to me. Could you paste the output of locale command here, please?

The second one seems to be a missing controllingClient or physicsActor. Puzzling... Maybe caused by the first?
(0004940)
Ursula Matova (reporter)
2008-09-01 10:12

Here you are :

# locale
LANG=fr_FR.UTF-8
LANGUAGE=fr_FR:fr:en_GB:en
LC_CTYPE="fr_FR.UTF-8"
LC_NUMERIC="fr_FR.UTF-8"
LC_TIME="fr_FR.UTF-8"
LC_COLLATE="fr_FR.UTF-8"
LC_MONETARY="fr_FR.UTF-8"
LC_MESSAGES="fr_FR.UTF-8"
LC_PAPER="fr_FR.UTF-8"
LC_NAME="fr_FR.UTF-8"
LC_ADDRESS="fr_FR.UTF-8"
LC_TELEPHONE="fr_FR.UTF-8"
LC_MEASUREMENT="fr_FR.UTF-8"
LC_IDENTIFICATION="fr_FR.UTF-8"
LC_ALL=


Regards,
Ursula.
(0004941)
melanie (administrator)
2008-09-01 10:17

The first one may have caused the second.
Another one of those cases where i would advocate to set all threads to US culture to avoid the issue, or InveriantCulture if that does what it says it does. Culture settings should be used by clients, not servers.
(0004942)
HomerHorwitz (manager)
2008-09-01 10:31

melanie +1 :-)

As a temporary workaround until that is done, you might get it running by starting the regionserver in the "C" locale: Just prepend your normal startup command by 'env LANG=C'. As a guess:
env LANG=C mono --debug OpenSim.exe

Before that, you might want to check that the locale indeed is switched to "C" with
  env LANG=C locale

(depending on the LC_* environment variables you've set in your system, it might be env LC_ALL=C instead, or at least LC_NUMERIC=C for this special case)
(0004944)
Ursula Matova (reporter)
2008-09-01 11:19

Yes, you got it ...
It works perfectly.
Thank you so much :)
(0004945)
Ursula Matova (reporter)
2008-09-01 11:23

And also seems to solve my issue with script engine ( Mantis 0002088 )

Thanks a lot :)
(0006180)
Ursula Matova (reporter)
2008-10-16 23:11

Could be closed.
Was a "locales" issue on Linux.
Refer to the Opensimulator wiki / troubleshouting page.
Regards.
(0006197)
mirceakitsune (reporter)
2008-10-17 06:16

I'm closing this up to free the Mantis if you confirmed it's fixed and can be closed. If I did wrong and this happens again please reopen.

- Issue History
Date Modified Username Field Change
2008-08-21 10:03 Ursula Matova New Issue
2008-08-21 10:03 Ursula Matova SVN Revision => 5942
2008-08-21 10:03 Ursula Matova Run Mode => Grid (Multiple Regions per Sim)
2008-08-21 10:03 Ursula Matova Physics Engine => ODE
2008-08-21 10:03 Ursula Matova Environment => Mono / Linux32
2008-08-22 11:42 Ursula Matova Description Updated
2008-08-31 03:34 Ursula Matova Note Added: 0004911
2008-08-31 23:58 HomerHorwitz Note Added: 0004923
2008-09-01 10:12 Ursula Matova Note Added: 0004940
2008-09-01 10:17 melanie Note Added: 0004941
2008-09-01 10:31 HomerHorwitz Note Added: 0004942
2008-09-01 11:19 Ursula Matova Note Added: 0004944
2008-09-01 11:23 Ursula Matova Note Added: 0004945
2008-09-01 11:28 HomerHorwitz Relationship added related to 0002088
2008-10-16 23:11 Ursula Matova Note Added: 0006180
2008-10-17 06:16 mirceakitsune Status new => closed
2008-10-17 06:16 mirceakitsune Note Added: 0006197
2008-10-17 06:16 mirceakitsune Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker